Attribute VB_Name = "modDoc"
'This is a documentation-only module.
'
'
'---------
'TelnetTTY
'---------
'
'A trivial Telnet terminal client based on the internal
'UserControl TelnetTTYClient.
'
'The UserControl is meant to be re-used in new VB6 projects.
'
'
'DESCRIPTION
'
'This is a very simple Windows GUI interactive Telnet client.
'It uses a simple TTY terminal type.  It also attempts to
'support echo-suppression via an option on the "Control"
'form.
'
'The only option negotiation it attempts to handle includes:
'
'  TERMINAL-TYPE
'  ECHO
'
'All all option requests from the server are answered as
'passively as practical.  No other option requests are made
'of the server.
'
'
'OPERATION
'
'When initially started, or following a disconnect, the
'Control form is presented.  Here one can enter a Host and
'Port number, choose remote-echo or not, then connect or
'exit.
'
'Once connected, the Terminal form is presented.  Here server
'responses are displayed, and the user may enter input (sent
'when the Enter key is pressed).  The user input is also
'displayed in the terminal textbox.
'
'The Terminal form also has a Control button.  This displays
'the Control form once again.  From here one can change the
'remote-echo setting and press the Ok button to request a
'change in remote-echo or one can Disconnect and/or Exit
'the program.
'
'Once can use the Control form to request changes in the
'remote-echo setting multiple times during a session.  The
'Host and Port changes only take effect when making a new
'connection.
'
'Upon a disconnect, one can enter new host settings and
'reconnect as described above.
'
'
'COPYRIGHT
'
'Copyright  2005, 2007 Robert D. Riemersma, Jr.
'All Rights Reserved.
'
'Permission granted for unlimited use.  Derivative works
'are encouraged.  No support provided, no guarantees offered,
'no liabilities accepted.  Offered as-is, use at your own risk.
